# TODO:
# Not packaged:
# - build with kf6-gpgmepp
#
# Conditional build:
%bcond_with	tests		# test suite

%define		kdeframever	6.14
%define		qt_ver		6.5.0
%define		kfname		kwallet

Summary:	Safe desktop-wide storage for passwords
Summary(pl.UTF-8):	Bezpieczny schowek na hasła dla całego środowiska
Name:		kf6-%{kfname}
Version:	6.14.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	5b399f3c9bbeabc0d434ee553c34e3f1
URL:		https://kde.org/
BuildRequires:	Qt6Core-devel >= %{qt_ver}
BuildRequires:	Qt6DBus-devel >= %{qt_ver}
BuildRequires:	Qt6Gui-devel >= %{qt_ver}
BuildRequires:	Qt6Test-devel >= %{qt_ver}
BuildRequires:	Qt6Widgets-devel >= %{qt_ver}
BuildRequires:	cmake >= 3.16
BuildRequires:	gpgme-c++-devel >= 1:1.7.0
BuildRequires:	kf6-extra-cmake-modules >= %{version}
BuildRequires:	kf6-kconfig-devel >= %{version}
BuildRequires:	kf6-kconfigwidgets-devel >= %{version}
BuildRequires:	kf6-kcoreaddons-devel >= %{version}
BuildRequires:	kf6-kdbusaddons-devel >= %{version}
BuildRequires:	kf6-kdoctools-devel >= %{version}
BuildRequires:	kf6-ki18n-devel >= %{version}
BuildRequires:	kf6-knotifications-devel >= %{version}
BuildRequires:	kf6-kservice-devel >= %{version}
BuildRequires:	kf6-kwidgetsaddons-devel >= %{version}
BuildRequires:	kf6-kwindowsystem-devel >= %{version}
BuildRequires:	libgcrypt-devel >= 1.5.0
BuildRequires:	ninja
BuildRequires:	qca-qt6-devel
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires:	Qt6DBus >= %{qt_ver}
Requires:	Qt6Gui >= %{qt_ver}
Requires:	Qt6Widgets >= %{qt_ver}
Requires:	gpgme-c++ >= 1:1.7.0
Requires:	kf6-dirs
Requires:	kf6-kconfig >= %{version}
Requires:	kf6-kconfigwidgets >= %{version}
Requires:	kf6-kcoreaddons >= %{version}
Requires:	kf6-kdbusaddons >= %{version}
Requires:	kf6-ki18n >= %{version}
Requires:	kf6-knotifications >= %{version}
Requires:	kf6-kservice >= %{version}
Requires:	kf6-kwidgetsaddons >= %{version}
Requires:	kf6-kwindowsystem >= %{version}
Requires:	libgcrypt >= 1.5.0
Provides:	kf5-kwallet-service = %{version}
Obsoletes:	kf5-kwallet-service < 6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This framework contains two main components:
- Interface to KWallet, the safe desktop-wide storage for passwords on
  KDE work spaces.
- The kwalletd used to safely store the passwords on KDE work spaces.

%description -l pl.UTF-8
Ten szkielet składa się z dwóch komponentów:
- interfejsu do KWallet - bezpiecznego schowka na hasła dla przestreni
  roboczych KDE
- usługi kwalletd służącej do bezpiecznego przechowywania haseł w
  przestrzeniach roboczych KDE

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt6Gui-devel >= %{qt_ver}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
%ninja_build -C build test
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

# kwallet6-query and kwalletd6 domains
%find_lang %{kfname} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_desktop_database_post

%postun
/sbin/ldconfig
%update_desktop_database_postun

%files -f %{kfname}.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/ksecretd
%attr(755,root,root) %{_bindir}/kwallet-query
%attr(755,root,root) %{_bindir}/kwalletd6
%attr(755,root,root) %{_libdir}/libKF6Wallet.so.*.*.*
%ghost %{_libdir}/libKF6Wallet.so.6
%attr(755,root,root) %{_libdir}/libKF6WalletBackend.so.*.*.*
%ghost %{_libdir}/libKF6WalletBackend.so.6
%{_desktopdir}/org.kde.ksecretd.desktop
%{_datadir}/dbus-1/interfaces/kf6_org.kde.KWallet.xml
%{_datadir}/dbus-1/services/org.kde.kwalletd5.service
%{_datadir}/dbus-1/services/org.kde.kwalletd6.service
%{_datadir}/dbus-1/services/org.kde.secretservicecompat.service
%{_datadir}/qlogging-categories6/kwallet.categories
%{_datadir}/qlogging-categories6/kwallet.renamecategories
%{_datadir}/xdg-desktop-portal/portals/kwallet.portal
%{_datadir}/knotifications6/ksecretd.notifyrc
%{_mandir}/man1/kwallet-query.1*

%files devel
%defattr(644,root,root,755)
%{_libdir}/libKF6Wallet.so
%{_includedir}/KF6/KWallet
%{_libdir}/cmake/KF6Wallet
%changelog
* Fri May 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf6-kwallet.git;a=log;h=master

* Sat May 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> f7fbad4
- updated to 6.14.0

* Thu Apr 24 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 51ef467
- update_desktop_database

* Sat Apr 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 3080930
- updated to 6.13.0

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 9e7cd31
- updated to 6.12.0

* Sat Feb 15 2025 Witold Filipczyk <witekfl@poczta.onet.pl> db4c51d
- updated to 6.11.0

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 0739310
- updated to 6.10.0

* Fri Dec 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f7403ba
- updated to 6.9.0

* Fri Nov 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a23357c
- updated to 6.8.0

* Wed Oct 23 2024 Jakub Bogusz <qboosh@pld-linux.org> d4c668e
- provide kf5-kwallet-service for kf5-kwallet (to allow parallel install); release 2

* Wed Oct 23 2024 Jakub Bogusz <qboosh@pld-linux.org> de8c6ba
- pl

* Fri Oct 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1f44a8e
- updated to 6.7.0

* Sat Sep 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1867884
- updated to 6.6.0

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c59276e
- updated to 6.5.0

* Thu Aug 08 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 320f706
- relup

* Wed Aug 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 44d3960
- relup

* Sat Jul 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 47cae52
- updated to 6.4.0

* Sat Jun 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 75422cc
- updated to 6.3.0

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a013daa
- Obsoletes kf5

* Sat May 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9dabfc6
- updated to 6.2.0

* Sun Apr 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 59b727e
- updated to 6.1.0

